# DataExchange
TKVRML
Vrml

# Vrml_Cube Class Reference

defines a Cube node of VRML specifying geometry shapes.
This node represents a cuboid aligned with the coordinate axes.
By default , the cube is centred at (0,0,0) and measures 2 units
in each dimension, from -1 to +1.
A cube's width is its extent along its object-space X axis, its height is
its extent along the object-space Y axis, and its depth is its extent along its
object-space Z axis.

`#include <Vrml_Cube.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Cube (const Standard_Real aWidth=2, const Standard_Real aHeight=2, const Standard_Real aDepth=2)
Standard_EXPORT void | SetWidth (const Standard_Real aWidth)
Standard_EXPORT Standard_Real | Width () const
Standard_EXPORT void | SetHeight (const Standard_Real aHeight)
Standard_EXPORT Standard_Real | Height () const
Standard_EXPORT void | SetDepth (const Standard_Real aDepth)
Standard_EXPORT Standard_Real | Depth () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Standard_Real | myWidth
Standard_Real | myHeight
Standard_Real | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Cube::Vrml_Cube | ( | const Standard_Real | aWidth = `2`,
|  | const Standard_Real | aHeight = `2`,
|  | const Standard_Real | aDepth = `2`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Real Vrml_Cube::Depth | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_Cube::Height | ( |  | ) | const

void Vrml_Cube::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Cube::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Cube::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Cube::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_Cube::SetDepth | ( | const Standard_Real | aDepth | ) |

Standard_EXPORT void Vrml_Cube::SetHeight | ( | const Standard_Real | aHeight | ) |

Standard_EXPORT void Vrml_Cube::SetWidth | ( | const Standard_Real | aWidth | ) |

Standard_EXPORT Standard_Real Vrml_Cube::Width | ( |  | ) | const

## Field Documentation

Standard_Real Vrml_Cube::myDepth `[private]`

Standard_Real Vrml_Cube::myHeight `[private]`

Standard_Real Vrml_Cube::myWidth `[private]`

The documentation for this class was generated from the following file:

- Vrml_Cube.hxx